{% extends "admin/layout.html.twig" %}
{% set title='e-Tasty Admin' %}
{% block content %}

{% if messages %}
<!-- /.box -->
<div class="box">
	<div class="box-header">
		<h3 class="box-title">Messages</h3>
	</div>
	<!-- /.box-header -->
	<div class="box-body">
	<hr>
		<table class="table table-bordered table-striped" data-table="true">
			<thead>
				<tr>
					<th>Email</th>
					<th>Message</th>
					<th>Date</th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				{% for message in messages %}
				<tr>
					<td><a href="mailto:{{ message.email|e('html_attr') }}?Subject=Propozycja współpracy">{{ message.email|e }}</a></td>
					<td>{{ message.body }}</td>
					<td>{{ message.creation_time|date }}</td>
					<td><a href="{{ path_for("admin/deleteMessage",{'id':message.id}) }}" class="btn btn-default">Delete</a></td>
				</tr>
				{% endfor %}
			</tbody>
		</table>
	</div>
	<!-- /.box-body -->
</div>
<!-- /.box -->
{% endif %}

<!-- /.box -->
<div class="box">
	<div class="box-header">
		<h3 class="box-title">Companies</h3>
			<div class="box-tools">
			<form method="post" action="{{ path_for("admin/createCompany") }}" style="width:280px">
			<div class="input-group">
				<div class="input-group-btn">
					<button type="submit" class="btn btn-default">
						<i class="fa fa-plus"></i> Create
					</button>
				</div>
				<!-- /btn-group -->
				<input name="name" type="text" class="form-control" placeholder="company login name">
			</div>
			</form>
		</div>
	</div>
	<!-- /.box-header -->
	<div class="box-body">
		<table class="table table-bordered table-striped" data-table="true">
			<thead>
				<tr>
					<th>Name</th>
					<th>Label</th>
					<th>Email</th>
					<th>Phone</th>
					<th>NIP</th>
					<th>Active</th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				{% for company in companies %}
				<tr>
					<td><a href="{{ path_for("company/admin", {'company':company.getName()}) }}">{{ company.getName()|e }}</a></td>
					<td>{{ company.getProperty('label')|e }}</td>
					<td>{{ company.getProperty('email')|e }}</td>
					<td>{{ company.getProperty('phone')|e }}</td>
					<td>{{ company.getProperty('nip')|e }}</td>
					<td>{{ company.getProperty('active')|e }}</td>
					<td><a href="{{ path_for("admin/deleteCompany",{'company':company.getName()}) }}" class="btn btn-default">Delete</a></td>
				</tr>
				{% endfor %}
			</tbody>
		</table>
	</div>
	<!-- /.box-body -->
</div>
<!-- /.box -->
{% endblock content %}